Skip to main content
List Connector Summaries
curl --request GET \
  --url https://api.coralogix.com/mgmt/openapi/5/notifications/notification-center/v1/connectors/list/summaries \
  --header 'Authorization: <api-key>'
{
  "connectors": [
    {
      "configOverrides": [
        {
          "fields": [
            {
              "fieldName": "<string>",
              "template": "<string>"
            }
          ]
        }
      ],
      "connectorConfig": {
        "fields": [
          {
            "fieldName": "<string>",
            "value": "<string>"
          }
        ]
      },
      "createTime": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "id": "<string>",
      "name": "<string>",
      "teamId": 123,
      "updateTime": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.coralogix.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication

Query Parameters

connector_type
enum<string>

Filter connector summaries by their type. Connector type.

Available options:
CONNECTOR_TYPE_UNSPECIFIED,
SLACK,
GENERIC_HTTPS,
PAGERDUTY,
IBM_EVENT_NOTIFICATIONS,
SERVICE_NOW,
EMAIL,
PAGERDUTY_INCIDENTS
supported_by_entity_type
enum<string>

Filter connector summaries by the entity type they support. Entity type.

Available options:
ENTITY_TYPE_UNSPECIFIED,
ALERTS,
TEST_NOTIFICATIONS,
CASES

Response

200 - application/json

Response containing summaries of connectors

connectors
object[]

The connectors.